Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_MCAST_Parser Class Reference

Implements the <mcast:> IOR format. More...

`#include <MCAST_Parser.h>`

Inheritance diagram for TAO_MCAST_Parser:

[legend]
Collaboration diagram for TAO_MCAST_Parser:

[legend]
List of all members.

## Public Methods
| TAO_MCAST_Parser (void)
| Constructor. More...
virtual | ~TAO_MCAST_Parser (void)
| The destructor. More...
virtual int | match_prefix (const char *ior_string) const
| = The IOR_Parser methods, please read the documentation in IOR_Parser.h. More...
virtual CORBA::Object_ptr | parse_string (const char *ior, CORBA::ORB_ptr orb ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
| Parse the ior-string that is passed. More...
## Private Methods
CORBA_Object_ptr | multicast_to_service (const char *service_name, CORBA::UShort port, const char *mcast_address, const char *mcast_ttl, const char *mcast_nic, CORBA::ORB_ptr orb, ACE_Time_Value *timeout ACE_ENV_ARG_DECL_NOT_USED)
int | multicast_query (char *&buf, const char *service_name, u_short port, const char *mcast_address, const char *mcast_ttl, const char *mcast_nic, ACE_Time_Value *timeout, CORBA::ORB_ptr orb)
void | assign_to_variables (const char *&mcast_name_ptr)
## Private Attributes
CORBA::String_var | mcast_address_
CORBA::String_var | mcast_port_
CORBA::String_var | mcast_nic_
CORBA::String_var | mcast_ttl_
CORBA::String_var | service_name_

## Detailed Description

Implements the <mcast:> IOR format.

This class implements the <mcast:> IOR format. It is dynamically loaded by the ORB and used to parse the string to separate the individual <obj_addr> from the list of object addresses <obj_addr_list>.

## Constructor & Destructor Documentation

ACE_INLINE TAO_MCAST_Parser::TAO_MCAST_Parser | ( | void |  | ) |

| Constructor.

TAO_MCAST_Parser::~TAO_MCAST_Parser | ( | void |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

void TAO_MCAST_Parser::assign_to_variables | ( | const char *& | mcast_name | ) | `[private]`

int TAO_MCAST_Parser::match_prefix | ( | const char * | ior_string | ) | const`[virtual]`

| = The IOR_Parser methods, please read the documentation in IOR_Parser.h. Reimplemented from TAO_IOR_Parser.

int TAO_MCAST_Parser::multicast_query | ( | char *& | buf,
|  | const char * | service_name,
|  | u_short | port,
|  | const char * | mcast_address,
|  | const char * | mcast_ttl,
|  | const char * | mcast_nic,
|  | ACE_Time_Value * | timeout,
|  | CORBA::ORB_ptr | orb
| ) | `[private]`

CORBA_Object_ptr TAO_MCAST_Parser::multicast_to_service | ( | const char * | service_name,
|  | CORBA::UShort | port,
|  | const char * | mcast_address,
|  | const char * | mcast_ttl,
|  | const char * | mcast_nic,
|  | CORBA::ORB_ptr | orb,
|  | ACE_Time_Value *timeout | ACE_ENV_ARG_DECL_NOT_USED
| ) | `[private]`

CORBA::Object_ptr TAO_MCAST_Parser::parse_string | ( | const char * | ior,
|  | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[virtual]`

| Parse the ior-string that is passed. Reimplemented from TAO_IOR_Parser.

## Member Data Documentation

CORBA::String_var TAO_MCAST_Parser::mcast_address_`[private]`

CORBA::String_var TAO_MCAST_Parser::mcast_nic_`[private]`

CORBA::String_var TAO_MCAST_Parser::mcast_port_`[private]`

CORBA::String_var TAO_MCAST_Parser::mcast_ttl_`[private]`

CORBA::String_var TAO_MCAST_Parser::service_name_`[private]`

The documentation for this class was generated from the following files:

- MCAST_Parser.h
- MCAST_Parser.cpp
- MCAST_Parser.i